WinStd Windows Win32 API using Standard C++

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
winstd::impersonator Class Reference
Windows API

Base class for thread impersonation of another security context. More...

`#include <WinStd/Win.h>`

Inheritance diagram for winstd::impersonator:

## Public Member Functions
| impersonator () noexcept
| Construct the impersonator.
virtual | ~impersonator ()
| Reverts to current user and destructs the impersonator.
| operator bool () const
| Did impersonation succeed?

## Protected Attributes
BOOL | m_cookie
| Did impersonation succeed?

## Detailed Description

Base class for thread impersonation of another security context.

## Constructor & Destructor Documentation

## ◆ ~impersonator()

virtual winstd::impersonator::~impersonator | ( |  | ) |
| inline virtual

Reverts to current user and destructs the impersonator.

See also
  RevertToSelf function

The documentation for this class was generated from the following file:

- include/WinStd/Win.h